Skip to main content

Rental Links

Overview​

This resource represents Rental Links which are managed via Rental Link Groups.

The purpose of the Rental Links is to mirror the availabilities between two Rentals - if there is a link between Rental A and Rental B, creating (or canceling) a Booking for either of them will result in creating/canceling a "mirrored" Booking on the other Rental.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the Rental link
rental_link_groupIntegerReadRental link Group's ID related to the Rental link
source_rentalIntegerReadRental's ID (as source of the link) related to the Rental link
destination_rentalIntegerReadRental's ID (as destination of the link) related to the Rental link
idIntegerReadRental link's ID.
kindStringReadRental link's kind, list of rental link's rate kinds described in enums section.
created_atTimeReadRental link's create time.
updated_atTimeReadRental link's update time.

List all rental link for a given account(s).

GET /rental_links
response.json
{
"links": {
"rental_links.account": "https://www.bookingsync.com/api/v3/accounts/{rental_links.account}",
"rental_links.destination_rental": "https://www.bookingsync.com/api/v3/rentals/{rental_links.destination_rental}",
"rental_links.rental_link_group": "https://www.bookingsync.com/api/v3/rental_link_groups/{rental_links.rental_link_group}",
"rental_links.source_rental": "https://www.bookingsync.com/api/v3/rentals/{rental_links.source_rental}"
},
"rental_links": [
{
"links": {
"account": 1,
"destination_rental": 2,
"rental_link_group": 1,
"source_rental": 3
},
"id": 1,
"kind": "mirror",
"created_at": "2026-08-12T03:04:38.679Z",
"updated_at": "2026-08-19T03:04:38.679Z"
}
],
"meta": {}
}

Returns a single rental link identified by ID.

GET /rental_links/:rental_link_id
response.json
{
"links": {
"rental_links.account": "https://www.bookingsync.com/api/v3/accounts/{rental_links.account}",
"rental_links.destination_rental": "https://www.bookingsync.com/api/v3/rentals/{rental_links.destination_rental}",
"rental_links.rental_link_group": "https://www.bookingsync.com/api/v3/rental_link_groups/{rental_links.rental_link_group}",
"rental_links.source_rental": "https://www.bookingsync.com/api/v3/rentals/{rental_links.source_rental}"
},
"rental_links": [
{
"links": {
"account": 1,
"destination_rental": 2,
"rental_link_group": 1,
"source_rental": 3
},
"id": 1,
"kind": "mirror",
"created_at": "2026-08-12T03:04:38.682Z",
"updated_at": "2026-08-19T03:04:38.682Z"
}
],
"meta": {}
}